GCLOUD_COMPUTE_BACKEND-SERVICES_GET-HEALTH(1)

NAME

gcloud compute backend-services get-health - get backend health statuses from a backend service

SYNOPSIS

gcloud compute backend-services get-health NAME [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services get-health is used to request the current health status of instances in a backend service. Every group in the service is checked and the health status of each configured instance is printed. If a group contains names of instances that don't exist or instances that haven't yet been pushed to the load-balancing system, they will not show up. Those that are listed as HEALTHY are able to receive load-balanced traffic. Those that are marked as UNHEALTHY are either failing the configured health-check or not responding to it. Since the health checks are performed continuously and in a distributed manner, the state returned by this command is the most recent result of a vote of several redundant health checks. Backend services that do not have a valid global forwarding rule referencing it will not be health checked and so will have no health status.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.
--uri
    Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.